Get List of Users

Required Role: Admin Portal or Admin API Consumer

Retrieves a list of users with optional filtering and related data.

Query parameters control which related data is included in the response (groups, location, CRM config)
and whether folder information should be returned.

Status Filtering:

  • Use the status query parameter to filter by user status: ENABLED (default), DISABLED, or ALL

Deleted Users:

  • Use the deleted query parameter to control visibility of soft-deleted users:
    EXCLUDE (default), INCLUDE, or ONLY
  • When deleted=ONLY, the status filter is ignored because deleted users are always disabled
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
enum
Defaults to ENABLED

Filter users by status.

  • ENABLED (default): Only enabled users
  • DISABLED: Only disabled users
  • ALL: All users regardless of status
Allowed:
string
enum
Defaults to EXCLUDE

Control visibility of soft-deleted users.

  • EXCLUDE (default): Hide deleted users
  • INCLUDE: Include deleted users alongside non-deleted users
  • ONLY: Return only deleted users (the status filter is ignored because
    deleted users are always disabled)
Allowed:
boolean
Defaults to false

Include folder hierarchy and breadcrumbs in the response

^073[0-9a-f]{23}$

Filter users by folderId (includes subfolders recursively).

  • Omit parameter: Returns users from all folders
  • Empty string (""): Returns users in root folder only (not in any subfolder)
  • 26-character folder ID: Returns users in the specified folder AND all subfolders

Unique identifier for a folder.

boolean

Filter users that are in or not in a folder.

string
enum
Defaults to ASC

Sort order (ascending or descending)

Allowed:
string
enum

Field to sort users by. Note that lastUpdated is initialized to createdOn
when the user is created, so users that have never been modified will have
matching values for both fields.

Allowed:
uuid

Filter by profile ID

boolean

Filter users that have or do not have a profile.

string
enum

Filter by license type

Allowed:
string
length between 26 and 26
^022[0-9a-f]{23}$

Filter by location ID

boolean

Filter users that have or do not have a location.

boolean
Defaults to true

Include group memberships with full group details (groupId, name, type)

boolean
Defaults to true

Include E911 location details for each user

boolean
Defaults to true

Include CRM configuration details for each user

date-time

Filter users updated on or after this UTC timestamp.
Must be in ISO 8601 format (e.g., 2026-01-22T00:00:00Z).
When used with updatedUntil, updatedUntil must be greater than updatedSince.
Note: newly created users have lastUpdated set to their creation time.

date-time

Filter users updated on or before this UTC timestamp.
Must be in ISO 8601 format (e.g., 2026-01-22T23:59:59Z).
When used with updatedSince, must be greater than updatedSince.

int32
1 to 50
Defaults to 10

The max number of records to retrieve per page.

int32
≥ 1
Defaults to 1

The page number of the records to retrieve.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
application/problem+json